Subject: bug#16403: 24.3.50; Rectangular selection visually disturbing

From: Ivan Kalyaev <[email-masked]>
Date: Fri, 10 Jan 2014 15:28:18 +0400

Daniel,

> I usually use Emacs in a window system. In a tty, yes, this behavior looks bad.

Actually, I can see this behavior in the GUI version as well (only the
line symbol is not in full-width).

Please see this screencast for illustration: http://i.stack.imgur.com/KIfjc.gif

On Fri, Jan 10, 2014 at 1:10 AM, Daniel Colascione <[email-masked]> wrote:
> On 01/09/2014 02:15 AM, Ivan Kalyaev wrote:
>>
>> When I press <C-x SPS> to start vertical selection lines of text shift to
>> the
>> right because empty selection is represented with a line symbol.
>>
>> It looked like font rendering glitch at first. The jerky motion is
>> disturbing.
>>
>> How do you think the visual experience could be made better?
>>
>> For comparison, vim selects the starting character right away.
>
>
> I usually use Emacs in a window system. In a tty, yes, this behavior looks
> bad. We should do something about it.

-- 
С уважением, Иван